﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Phidget22;
using Phidget22.Events;
namespace automatedBlinds
{
    public partial class Form1 : Form
    {
        RCServo servo;
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            try
            {
                Log.Enable(LogLevel.Info, "C:/Desktop/blindslog.txt");
                servo = new RCServo();
                servo.Attach += attach_handler;
                servo.Detach += detach_handler;
                servo.DeviceSerialNumber = 119852;
                servo.Open();
            }catch(PhidgetException ex)
            {
            }
        }

        void attach_handler(object sender, Phidget22.Events.AttachEventArgs e)
        {
            leftButton.Enabled = true;
            rightButton.Enabled = true;
            servo.Engaged = false;
            servo.SpeedRampingState = false;
        }

        void detach_handler(object sender, Phidget22.Events.DetachEventArgs e)
        {
            leftButton.Enabled = false;
            rightButton.Enabled = false;
        }

        private void leftButton_MouseDown(object sender, MouseEventArgs e)
        {
            timer1.Enabled = true;
            servo.TargetPosition = servo.MaxPosition;
            servo.Engaged = true;
        }

        private void leftButton_MouseUp(object sender, MouseEventArgs e)
        {
            servo.Engaged = false;
            timer1.Enabled = false;
        }

        private void rightButton_MouseDown(object sender, MouseEventArgs e)
        {
            timer1.Enabled = true;
            servo.TargetPosition = servo.MinPosition;
            servo.Engaged = true;
        }

        private void rightButton_MouseUp(object sender, MouseEventArgs e)
        {
            servo.Engaged = false;
            timer1.Enabled = false;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            servo.Engaged = false;
            timer1.Enabled = false;
        }
    }
}
